Soporte y Mantenimiento FUAM 2026-2027 - Tareas #4909
Hito # 4849 (Nueva): Horas del nuevo contrato 2026-2027

Reorganizacion y ampliacion de campos - Vista Estudiante
02/16/2026 12:56 PM - Daniel Garcia

Status: Resuelta Start date: 02/16/2026
Priority: Hecatombe Zombie Due date:

Assignee: Daniel Garcia % Done: 100%
Category: Estimated time: 16.00 hours
Target version: Spent time: 16.10 hours
Description

Se deben realizar ajustes estructurales en el formulario de registro.
Requisitos funcionales:

- Afnadir campo “Pais de expedicién del documento de identidad”.

- Ahadir campos:

- Nombre de la Empresa.

- CIF Empresa.

- Actualizar bdd con estos nuevos campos.

- Desarrollar funcionalidad para buscar por CIF los datos de la empresa en fundagest, y si es asi que los traiga al formulario, de lo
contrario que pueda guardar en fundagest esos nuevos datos.

- Afadir texto “Direccidn de facturacion...” segun documento.

- Afadir linea en cuadro amarillo:

“Quiero recibir mas informacion (link) sobre actividades organizadas por la Fuam”.
- Reorganizar:

- Mover Teléfono después de Pais de Residencia.

- Mover Datos de Acceso a la derecha.

- Eliminar seccién Domicilio Fiscal y botdn copiar.

History

#1 - 02/16/2026 04:02 PM - Jose Miguel Rosell Rosa
- Status changed from Nueva to En curso

- % Done changed from 0 to 10

Los textos sueltos estan corregidos

#2 - 02/17/2026 10:19 AM - Daniel Garcia

Para la tarea de incluir una direccion de facturacién, debemos hacer antes de mostrar el formulario una pregunta al estudiante para saber si va a
querer factura a nombre de una empresa o no.

CASO NO: se muestran los formularios de direccién como hasta ahora, con el botén copiar y direccion fical tal cual esta.

CASO SI: se muestra el formulario de direccién, se quita el botén copiar y se muestra un nuevo formulario para la direccién de facturacion (con sus
campos deshabilitados), en el que se afiaden al comienzo dos inputs, uno para el nombre de empresa y otro para el CIF.

Al introducir el CIF en el input se debe buscar en fundagest old ese CIF y en caso de encontrarlo traer los datos de la direccién que encuentre. De no
encontrar ninguna empresa con ese CIF se habilitaran los campos de la direccién de facturacion para meterlos a mano, al guardar todo se guardara
también esa empresa con su nombre, su CIF y su direccién en fundagest old. Esto se hace para la generacién de facturas desde matriculas.

Los nuevos campos deben tener validaciones al igual que los otros formularios de direccion.

#3 - 02/17/2026 10:19 AM - Daniel Garcia

- Assignee changed from Daniel Garcia to Jose Alberto Rodriguez

- Priority changed from Normal to Hecatombe Zombie

#4 - 02/17/2026 12:49 PM - Jose Alberto Rodriguez
- % Done changed from 10 to 40
Ya se han realizado los cambios en la BDD (se agregaron los dos nuevos campos en la tabla direccién, para nombre_empresa y cif_empresa) y se
ha implementado la I6gica en el front para poder modificar la parte del formulario dependiendo de si la facturacion la va a realizar el estudiante (a su
nombre) o a nombre de una empresa.

#5 - 02/20/2026 09:09 AM - Jose Alberto Rodriguez
- % Done changed from 40 to 100

Se ha implementado una nueva légica en los formularios de registro de estudiante y datos personales del estudiante, para poder indicar a que
nombre va a ir la factura, si al estudiante o a una empresa.

En el caso de que vaya a nombre del estudiante, el estado del formulario no cambia, la direccién sigue siendo una direccion fiscal y en el caso de
que la factura vaya a nombre de una empresa, se modifica el bloque y se muestra uno para la direccién de facturacion.

Este nuevo bloque de facturacion funciona de la siguiente manera, estan todos los campos deshabilitados, al estudiante meter el CIF, se intenta
recuperar los datos de esa empresa siempre que este registrada en fundagest (xIs), nombre de la empresa y todos los datos de direccion de la
empresa.

Si no encuentra ninguna empresa, se le da la opcién al estudiante para poder insertar los datos de la empresa, el CIF, el nombre de la empresa y los
datos de direccién.

#6 - 02/20/2026 09:09 AM - Jose Alberto Rodriguez

- Assignee changed from Jose Alberto Rodriguez to Daniel Garcia

#7 - 02/23/2026 10:41 AM - Jose Antonio Martin Bravo
- File Captura pantalla plataforma vieja.pdf added

- File Captura pantalla plataforma vieja.odt added

Esta funcionalidad estaba en incluida en el contrato de desarrollo de la nueva plataforma, es una funcionalidad heredada desde la anterior
plataforma de matriculas

Os adjunto pantallazos de funcionamiento en la anterior . Si un alumno indicaba que la factura la queria a nombre de su empresa, el sistema antiguo
recuperaba los datos desde fundagest y los obtenia para poder realizar la factura a esos datos, indicando ademas que no eran modificables.

#8 - 02/24/2026 07:51 AM - Daniel Garcia

- Project changed from Gestion de Matriculas 2024-2025 to Soporte y Mantenimiento FUAM 2026-2027
- Category deleted (Plataforma académica)

- Status changed from En curso to Resuelta

- Target version deleted (1.0.74)

- Parent task changed from #4896 to #4849

Files
Captura pantalla plataforma vieja.pdf 675 KB 02/23/2026 Jose Antonio Martin Bravo
Captura pantalla plataforma vieja.odt 1.17 MB 02/23/2026 Jose Antonio Martin Bravo
